Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.config
Class FlowConfiguringMessageProcessor

    java.lang.Object
      org.mule.module.cxf.config.FlowConfiguringMessageProcessor

All Implemented Interfaces:
  FlowConstructAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class FlowConfiguringMessageProcessor

extends Object
implements FlowConstructAware, Lifecycle, InterceptingMessageProcessor

Wraps a `MessageProcessorBuilder` and configures it lazily so it can be injected with the `FlowConstruct`.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`FlowConfiguringMessageProcessor(MessageProcessorBuilder builder)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`MessageProcessorBuilder` | `getMessageProcessorBuilder()`
`MessageProcessor` | `getWrappedMessageProcessor()` The MessageProcessor that this class built.
`void` | `initialise()` Method used to perform any initialisation work.
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.
`void` | `setFlowConstruct(FlowConstruct flowConstruct)`
`void` | `setListener(MessageProcessor listener)` Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowConfiguringMessageProcessor

    public FlowConfiguringMessageProcessor(MessageProcessorBuilder builder)

Method Detail

### setListener

    public void setListener(MessageProcessor listener)

  Description copied from interface: `MessageSource`
  Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.

  Specified by:
    `setListener` in interface `MessageSource`

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Throws:
    `MuleException`

### setFlowConstruct

    public void setFlowConstruct(FlowConstruct flowConstruct)

  Specified by:
    `setFlowConstruct` in interface `FlowConstructAware`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `Stoppable`
  Throws:
    `MuleException`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getWrappedMessageProcessor

    public MessageProcessor getWrappedMessageProcessor()

  The MessageProcessor that this class built.

  Returns:

### getMessageProcessorBuilder

    public MessageProcessorBuilder getMessageProcessorBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.